## mythtv-dmo 35.0+really35+fixes20250315.git30ba688773

=== debian/changelog ===
mythtv-dmo (1:35.0+really35+fixes20250315.git30ba688773-dmo2~ab12+2) bookworm-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    745aa99689fdd5bcdc53365ea94cdcf43ec1ac84.
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.fritz.box>  Sat, 12 Apr 2025 11:05:02 +0200

mythtv-dmo (1:35.0+really35+fixes20250315.git30ba688773-dmo2~ab~TRIXIE+2) trixie-ab-unstable; urgency=medium

  * [37f818f] control: Remove versioned b-d on libx264 (epoch 3 not in
    Debian).
  * [1b7af5a] control: mythtv-python: Recommends: python-aniso8601 (Fixes
    warning in /usr/share/mythtv/internetcontent/youtube.py).
  * [a2d5e2b] control: Remove versioned b-d on libcec (epoched version not
    in Debian).
  * [5b8d3cf] control: nv-codec-headers: In Debian it's called 'libffmpeg-
    nvenc-dev' (available since bookworm)
  * [1958b58] control (Build-Depends): Use libdca-dev, not libdts-dev
    (latter dropped since 0.0.7-1/bullseye).
  * [5cdf1cc] debian/control (Build-Depends): qtbase-abi: Add
    5-15-8(bookworm)
  * [f365258] debian/control (Build-Depends): Add explicit build-dep on
    py3-setuptools (bookworm)
  * [c7f7974] debian/control (Build-Depends): libexiv2 >= 0.28 (bookworm:
    to pull backport in)
  * [33e418b] debian/control (Build-Depends): Alternate libtag1-dev
    (bookworm)
  * [9dbdf57] debian/mythtv-backend.service (Type): Switch notify->simple
    (notify does not work with restricted mode from web setup)
  * MINI_BUILDD_OPTION: lintian-mode=ignore
  * MINI_BUILDD_OPTION: auto-ports=bookworm-ab-unstable

 -- Stephan Sürken <absurd@olurdix.de>  Sat, 12 Apr 2025 10:47:56 +0200

mythtv-dmo (1:35.0+really35+fixes20250315.git30ba688773-dmo2) unstable; urgency=medium

  * Add python3-pip tp Build-Conflicts
  * Build with --perl-config-opts=INSTALLDIRS=vendor
  * Build without qtwebkit as libqt5webkit5-dev has been removed in testing.
  * Remove libmyth-30 from libmyth-35 Breaks: field.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 28 Mar 2025 08:39:41 +0100

mythtv-dmo (1:35.0+really35+fixes20250315.git30ba688773-dmo1+b1) unstable; urgency=medium

  * Build with libx264-165

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Mar 2025 10:22:00 +0100

mythtv-dmo (1:35.0+really35+fixes20250315.git30ba688773-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * mythtv-database : Removes 'default-mysql-client | virtual-mysql-client'
    dependencies (already in mythtv-common dependencies)
  * mythtv-common : Add mariadb-client-compat in Suggests
  * python3-mythtv : Remove unneeded python3-future dependency
  * Add python3-setuptools to Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 15 Mar 2025 11:01:14 +0100

mythtv-dmo (1:35.0-dmo1+b1) unstable; urgency=medium

  * Build with libcec7

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 27 Feb 2025 10:50:15 +0100

mythtv-dmo (1:35.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Feb 2025 00:15:13 +0100

mythtv-dmo (1:34.0+really34+fixes20250116.gitf4cbdd37a5-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Jan 2025 15:01:48 +0100

mythtv-dmo (1:34.0+really34+fixes20241111.gitc376437559-dmo1+b2) unstable; urgency=medium

  * Build with libtag2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Jan 2025 15:10:49 +0100

mythtv-dmo (1:34.0+really34+fixes20241111.gitc376437559-dmo1+b1) unstable; urgency=medium

  * Build with libx265-215; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Nov 2024 10:24:12 +0100

mythtv-dmo (1:34.0+really34+fixes20241111.gitc376437559-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 11 Nov 2024 16:20:12 +0100

mythtv-dmo (1:34.0+really34+fixes20240707.gitc63d023aa8-dmo8) unstable; urgency=medium

  * Build with qtbase-abi-5-15-15

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 24 Oct 2024 11:46:59 +0200

mythtv-dmo (1:34.0+really34+fixes20240707.gitc63d023aa8-dmo7) unstable; urgency=medium

  * Build with libzip5

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 24 Oct 2024 07:32:14 +0200

mythtv-dmo (1:34.0+really34+fixes20240707.gitc63d023aa8-dmo6) unstable; urgency=medium

  * Build with libx265-212

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 Sep 2024 10:36:55 +0200

mythtv-dmo (1:34.0+really34+fixes20240707.gitc63d023aa8-dmo5) unstable; urgency=medium

  * Build with libexiv2-28 and remove libmythexiv2-0.28-34 package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 06 Sep 2024 10:14:10 +0200

mythtv-dmo (1:34.0+really34+fixes20240707.gitc63d023aa8-dmo4) unstable; urgency=medium

  * Add upstream patch to fix build on big-endian architectures with gcc 14

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 15 Aug 2024 15:35:18 +0200

mythtv-dmo (1:34.0+really34+fixes20240707.gitc63d023aa8-dmo3) unstable; urgency=medium

  * Rework 06_ffmep-FTBFS-armel-armhf with upstream fix to fix build with
    binutils 2.43 on armel and armhf architectures.
  * Add upstream patch to fix build with gcc 14
  * Add another patch to fix build with gcc 14 (32 bits arches)
  * Add libudfread-dev to Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 15 Aug 2024 14:21:20 +0200

mythtv-dmo (1:34.0+really34+fixes20240707.gitc63d023aa8-dmo2) unstable; urgency=medium

  * Remove unneeded svg and demo files from
    /usr/share/mythtv/html/3rdParty/primeicons-5.0.0
  * Start to use files from node-fortawesome-fontawesome-free package
    instead of one provided by mythtv.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Jul 2024 16:40:42 +0200


