## mythtv-dmo 35.0+really35+fixes20250529.git70fe273

=== debian/changelog ===
mythtv-dmo (1:35.0+really35+fixes20250529.git70fe273-dmo1~ab~TRIXIE+1) trixie-ab-unstable; urgency=medium

  * [aedf0a5] control: Remove versioned b-d on libx264 (epoch 3 not in
    Debian).
  * [7b5b671] control: mythtv-python: Recommends: python-aniso8601 (Fixes
    warning in /usr/share/mythtv/internetcontent/youtube.py).
  * [6b5e424] control: Remove versioned b-d on libcec (epoched version not
    in Debian).
  * [7cfff5f] control: nv-codec-headers: In Debian it's called 'libffmpeg-
    nvenc-dev' (available since bookworm)
  * [d18bca9] control (Build-Depends): Use libdca-dev, not libdts-dev
    (latter dropped since 0.0.7-1/bullseye).
  * [17028cc] debian/control (Build-Depends): qtbase-abi: Add
    5-15-8(bookworm)
  * [b3c43c4] debian/control (Build-Depends): Add explicit build-dep on
    py3-setuptools (bookworm)
  * [c7641ed] debian/control (Build-Depends): libexiv2 >= 0.28 (bookworm:
    to pull backport in)
  * [d0b1a42] debian/control (Build-Depends): Alternate libtag1-dev
    (bookworm)
  * [fabe7d0] debian/mythtv-backend.service (Type): Switch notify->simple
    (notify does not work with restricted mode from web setup)
  * MINI_BUILDD_OPTION: lintian-mode=ignore
  * MINI_BUILDD_OPTION: auto-ports=bookworm-ab-unstable

 -- Stephan Sürken <absurd@olurdix.de>  Thu, 19 Jun 2025 10:20:08 +0200

mythtv-dmo (1:35.0+really35+fixes20250529.git70fe273-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 May 2025 15:48:50 +0200

mythtv-dmo (1:35.0+really35+fixes20250518.git1f9b23e-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Restore upstream ChangeLog since the 35 release

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 May 2025 09:22:08 +0200

mythtv-dmo (1:35.0+really35+fixes20250501.git9e66243fbd-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 May 2025 15:18:50 +0200
