## mythtv-dmo 35.0+really35+fixes20250622.git5f093cd

=== debian/changelog ===
mythtv-dmo (1:35.0+really35+fixes20250622.git5f093cd-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Jun 2025 08:35:47 +0200
