=== debian/control ===
--- 
+++ 
@@ -10,23 +10,23 @@
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libxext-dev,
  libvorbis-dev, default-libmysqlclient-dev, libfreetype-dev, libjack-jackd2-dev,
  libavc1394-dev [linux-any], libfaad-dev, liblirc-dev,
- libsamplerate0-dev, libasound2-dev [linux-any], libdca-dev, libxinerama-dev,
- quilt, libtag-dev | libtag1-dev, libiec61883-dev (>= 1.0.0) [linux-any], libxxf86vm-dev,
+ libsamplerate0-dev, libasound2-dev [linux-any], libdts-dev, libxinerama-dev,
+ quilt, libtag-dev, libiec61883-dev (>= 1.0.0) [linux-any], libxxf86vm-dev,
  po-debconf, libxvmc-dev, libdvdnav-dev, libssl-dev, texinfo, libxrandr-dev,
  nasm [any-amd64 any-i386], libfftw3-dev, libfribidi-dev, libxml2-dev, libgl-dev,
  liba52-0.7.4-dev, libxvidcore-dev, libpulse-dev, libtool-bin, libvdpau-dev,
- qtbase5-dev, libsctp-dev, libdrm-dev, libcec-dev, uuid-dev,
+ qtbase5-dev, libsctp-dev, libdrm-dev, libcec-dev (>= 2:6~), uuid-dev,
  libva-dev [any-amd64 any-i386], libudev-dev, liblzma-dev,
- libffmpeg-nvenc-dev [amd64 i386 arm64], libegl-dev, libx264-dev,
+ nv-codec-headers [amd64 i386 arm64], libegl-dev, libx264-dev (>= 3:0.159~),
  libvpx-dev (>= 1.11.0~), libass-dev (>= 0.10.2), libavahi-compat-libdnssd-dev,
  libhdhomerun-dev (>= 20170815-2~), libsystemd-dev, librtmp-dev, libbz2-dev,
  libgnutls28-dev | gnutls-dev, libqt5opengl5-dev, libbluray-dev, libx265-dev,
- libmp3lame-dev, libxnvctrl-dev, liblzo2-dev, python3-simplejson, cmake, python3-setuptools,
+ libmp3lame-dev, libxnvctrl-dev, liblzo2-dev, python3-simplejson, cmake,
  libdav1d-dev, libaom-dev, python3-mysqldb, python3-lxml, python3-requests,
  libxml2-utils, libxcb-shm0-dev, libsoundtouch-dev (>= 1.8.0~), libzip-dev,
- glslang-dev, qtbase-abi-5-15-15 | qtbase-abi-5-15-8, waylandpp-dev, pkgconf, libudfread-dev,
+ glslang-dev, qtbase-abi-5-15-15, waylandpp-dev, pkgconf, libudfread-dev,
  qtbase5-private-dev, clang [amd64 arm64], libxcb-xfixes0-dev, libxcb-shm0-dev,
- libxcb-shape0-dev, gcc-14 [powerpc], g++-14 [powerpc], libexiv2-dev (>= 0.28),
+ libxcb-shape0-dev, gcc-14 [powerpc], g++-14 [powerpc], libexiv2-dev,
  libdbi-perl, libdbd-mysql-perl, libhttp-message-perl, libio-socket-inet6-perl,
  libwww-perl, libnet-upnp-perl, libxml-simple-perl, python3-setuptools,
  dh-linktree,
@@ -188,7 +188,6 @@
 Conflicts: python-mythtv,
 Replaces: python-mythtv,
 Depends: ${python3:Depends}, ${misc:Depends}, python3-mysqldb, python3-lxml, python3-requests-cache, python3-simplejson, python3-dateutil,
-Recommends: python3-aniso8601
 Description: Personal video recorder application (common data)
  MythTV provides a unified graphical interface for recording and viewing
  television programs. Refer to the mythtv package for more information.
@@ -290,3 +289,4 @@
 Architecture: any
 Depends: mythtv-common, ${shlibs:Depends}, ${misc:Depends},
 Suggests: mythtv-backend, mytharchive,
+Description: Utilities used for transcoding MythTV tasks
