## mythtv-dmo 35.0+really35+fixes20250814.git931474b

=== debian/changelog ===
mythtv-dmo (1:35.0+really35+fixes20250814.git931474b-dmo4) unstable; urgency=medium

  * Build with qtbase-abi-5-15-17

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Sep 2025 07:54:23 +0200

mythtv-dmo (1:35.0+really35+fixes20250814.git931474b-dmo3) unstable; urgency=medium

  * Build with libbluray3

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 19 Aug 2025 17:22:21 +0200

mythtv-dmo (1:35.0+really35+fixes20250814.git931474b-dmo2) unstable; urgency=medium

  * Build with libvpx11

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Aug 2025 17:15:07 +0200

mythtv-dmo (1:35.0+really35+fixes20250814.git931474b-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Aug 2025 15:51:59 +0200
