=== debian/control ===
--- 
+++ 
@@ -9,26 +9,26 @@
  amf-codec-headers, python3-pip,
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libxext-dev,
  libvorbis-dev, default-libmysqlclient-dev, libfreetype-dev, libjack-jackd2-dev,
- libavc1394-dev [linux-any], libfaad-dev, liblirc-dev,
+ libavc1394-dev [linux-any], libfaad-dev, liblirc-dev, qtbase5-dev,
  libsamplerate0-dev, libasound2-dev [linux-any], libdts-dev, libxinerama-dev,
  quilt, libtag-dev, libiec61883-dev (>= 1.0.0) [linux-any], libxxf86vm-dev,
  po-debconf, libxvmc-dev, libdvdnav-dev, libssl-dev, texinfo, libxrandr-dev,
  nasm [any-amd64 any-i386], libfftw3-dev, libfribidi-dev, libxml2-dev, libgl-dev,
  liba52-0.7.4-dev, libxvidcore-dev, libpulse-dev, libtool-bin, libvdpau-dev,
- qtbase5-dev, libsctp-dev, libdrm-dev, libcec-dev (>= 2:6~), uuid-dev,
- libva-dev [any-amd64 any-i386], libudev-dev, liblzma-dev,
+ libsctp-dev, libdrm-dev, libcec-dev (>= 2:6~), uuid-dev, python3-simplejson,
+ libva-dev [any-amd64 any-i386], libudev-dev, liblzma-dev, python3-requests,
  nv-codec-headers [amd64 i386 arm64], libegl-dev, libx264-dev (>= 3:0.159~),
  libvpx-dev (>= 1.11.0~), libass-dev (>= 0.10.2), libavahi-compat-libdnssd-dev,
  libhdhomerun-dev (>= 20170815-2~), libsystemd-dev, librtmp-dev, libbz2-dev,
  libgnutls28-dev | gnutls-dev, libqt5opengl5-dev, libbluray-dev, libx265-dev,
- libmp3lame-dev, libxnvctrl-dev, liblzo2-dev, python3-simplejson, cmake,
- libdav1d-dev, libaom-dev, python3-mysqldb, python3-lxml, python3-requests,
- libxml2-utils, libxcb-shm0-dev, libsoundtouch-dev (>= 1.8.0~), libzip-dev,
- glslang-dev, qtbase-abi-5-15-15, waylandpp-dev, pkgconf, libudfread-dev,
- qtbase5-private-dev, clang [amd64 arm64], libxcb-xfixes0-dev, libxcb-shm0-dev,
- libxcb-shape0-dev, gcc-14 [powerpc], g++-14 [powerpc], libexiv2-dev,
+ libmp3lame-dev, libxnvctrl-dev, liblzo2-dev, cmake, libdav1d-dev, libaom-dev,
+ python3-mysqldb, python3-lxml, libxml2-utils, libxcb-shm0-dev, libzip-dev,
+ libsoundtouch-dev (>= 1.8.0~), glslang-dev, waylandpp-dev, libudfread-dev,
+ pkgconf,  qtbase5-private-dev, clang [amd64 arm64], libxcb-xfixes0-dev,
+ libxcb-shm0-dev, libxcb-shape0-dev, gcc-14 [powerpc], libexiv2-dev,
  libdbi-perl, libdbd-mysql-perl, libhttp-message-perl, libio-socket-inet6-perl,
  libwww-perl, libnet-upnp-perl, libxml-simple-perl, python3-setuptools,
+ qtbase-abi-5-15-17,
  dh-linktree,
  libjs-jquery-ui, node-fortawesome-fontawesome-free,
 
@@ -290,3 +290,4 @@
 Depends: mythtv-common, ${shlibs:Depends}, ${misc:Depends},
 Suggests: mythtv-backend, mytharchive,
 Description: Utilities used for transcoding MythTV tasks
+ Some utilities are applicable for both a frontend or a backend machine.
