## mythtv-dmo 35.0+really35+fixes20251029.git08a7b58

=== debian/changelog ===
mythtv-dmo (1:35.0+really35+fixes20251029.git08a7b58-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * As mysqlcheck isn't always installed by default the
    /etc/cron.weekly/mythtv-database script fail, then add mariadb-client to
    "default-mysql-client | virtual-mysql-client" alternative and remove
    "mariadb-client-compat" from Suggests (Thanks to Arne Nordmark for the
    bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 29 Oct 2025 15:01:50 +0100
