=== debian/control ===
--- 
+++ 
@@ -59,9 +59,8 @@
 Package: mythtv-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, python3:any, libxml-xpath-perl, default-mysql-client | virtual-mysql-client, adduser,
+Depends: ${misc:Depends}, python3:any, libxml-xpath-perl, default-mysql-client | virtual-mysql-client | mariadb-client, adduser,
 Recommends: mythtv-doc (>= ${source:Version}), python3-selinux,
-Suggests: mariadb-client-compat,
 Conflicts: mythlogserver,
 Description: Personal video recorder application (common data)
  MythTV provides a unified graphical interface for recording and viewing
